package com.atmob.keyboard_android.util.bridge.callback

/**
 * 原生事件发射器
 */
interface NativeEventEmitter {
    /**
     * 发送成功事件
     */
    fun success(event: Any)

    /**
     * 发生错误时调用
     *
     * @param errorCode 错误码
     * @param errorMsg 错误消息
     * @param details 附加数据，类似拓展字段
     */
    fun error(errorCode: String, errorMsg: String, details: Any? = null)

    /**
     * 关闭事件流，相当于通知Flutter要解除事件注册
     */
    fun eventStreamClose()
}